﻿@page
@model FoodSystem.Pages.IndexModel
@{
    ViewBag.Title = "Welcome to FoodSystem POS and Inventory System";
}

<div class="container-fluid p-0 m-0" id="landingpage-banner">
    <div class="row m-0 align-items-center justify-content-center" id="landingpage-banner-bg">
        <div class="col-10 col-md-8 col-xl-5 text-center">
            <h1 class="text-white py-3 bg-blur-dark">Welcome to FoodSystem Inventory and POS</h1>
        </div>
    </div>
</div>

<div class="container" id="food-carousel">
    <h2 class="fw-bold mb-3">Menu Today</h2>
    <script src="~/lib/jquery/jquery.min.js"></script>
    <script src="~/lib/slick-carousel/slick.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.homepage-food-carousel').slick({
                dots: false,
                infinite: true,
                speed: 500,
                slidesToShow: 4,
                slidesToScroll: 4,
                responsive: [
                    {
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 3,
                            infinite: true,
                            dots: true
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1
                        }
                    }
                ]
            });
        });
    </script>
    <div class="row homepage-food-carousel">
        @for(int ctr = 1; ctr <= 10; ctr++)
        {
            string imgLink = $"/assets/food-{ctr}.jpg";
            <div class="col-3 food-carousel-item mx-2">
                <div class="food-carousel-img-container">
                    @* <img src="~/assets/food-1.jpg" class="food-carousel-img" /> *@
                    <img src="@imgLink" class="food-carousel-img" />
                </div>
                <div class="food-carousel-text">
                    <p class="my-0 fs-5 fw-bold">Food Name</p>
                    <p class="mt-0 mb-2 fs-5 fst-italic">₱ 100.00</p>
                    <p class="mt-2 mb-0 fs-8 justify-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Faucibus interdum posuere lorem ipsum.</p>
                </div>
            </div>
        }
    </div>
</div>